Bug 845106 - (CVE-2012-3447) CVE-2012-3447 OpenStack-Nova: compute nodes disk image file corruption, incomplete fix for CVE-2012-3361 (OSSA 2012-011)
CVE-2012-3447 OpenStack-Nova: compute nodes disk image file corruption, incom...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120807,repor...
: Security
Depends On: 846624 846625
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 15:13 EDT by Kurt Seifried
Modified: 2015-07-31 06:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 00:32:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for CVE-2012-3447 for essex (1.93 KB, patch)
2012-08-01 15:17 EDT, Kurt Seifried
no flags Details | Diff
Patch for CVE-2012-3447 for folsom (1.35 KB, patch)
2012-08-01 15:17 EDT, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2012-08-01 15:13:41 EDT
Thierry Carrez <thierry@openstack.org> reports:

Pádraig Brady from Red Hat discovered that the fix implemented for
CVE-2012-3361 (OSSA-2012-008) was not covering all attack scenarios. By
crafting a malicious image with root-readable-only symlinks and
requesting a server based on it, an authenticated user could still
corrupt arbitrary files (all setups affected) or inject arbitrary files
(Essex and later setups with OpenStack API enabled and a libvirt-based
hypervisor) on the host filesystem, potentially resulting in full
compromise of that compute node.
Comment 1 Kurt Seifried 2012-08-01 15:17:13 EDT
Created attachment 601803 [details]
Patch for CVE-2012-3447 for essex
Comment 2 Kurt Seifried 2012-08-01 15:17:37 EDT
Created attachment 601804 [details]
Patch for CVE-2012-3447 for folsom
Comment 4 Tomas Hoger 2012-08-08 05:34:36 EDT
Created openstack-nova tracking bugs for this issue

Affects: fedora-all [bug 846624]
Affects: epel-6 [bug 846625]

Note You need to log in before you can comment on or make changes to this bug.